## cryptokit 1.3

=== Makefile ===
### Configuration section

# Comment next line if the Zlib library is not available
ZLIB=-DHAVE_ZLIB

# The name of the Zlib library.  Usually -lz.  
# Leave blank if you don't have Zlib.
ZLIB_LIB=-lz

# The directory containing the Zlib library (libz.a or libz.so)
# Leave blank if you don't have Zlib.
ZLIB_LIBDIR=/usr/lib
#ZLIB_LIBDIR=/usr/lib64    # for x86-64 Linux

# The directory containing the Zlib header file (zlib.h)
ZLIB_INCLUDE=/usr/include

# Where to install the library. By default: OCaml's standard library directory.
INSTALLDIR=`$(OCAMLC) -where`

# Flags for the C compiler.
CFLAGS=-O -I$(ZLIB_INCLUDE) $(ZLIB)

### End of configuration section

OCAMLRUN=ocamlrun
OCAMLC=ocamlc -g
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
MKLIB=ocamlmklib
OCAMLDOC=ocamldoc

C_OBJS=\
  rijndael-alg-fst.o stubs-aes.o \
  d3des.o stubs-des.o \
  arcfour.o stubs-arcfour.o \
  sha1.o stubs-sha1.o \
  sha256.o stubs-sha256.o \
  ripemd160.o stubs-ripemd160.o \
  stubs-md5.o \
  stubs-zlib.o \
  stubs-misc.o \
  stubs-rng.o

CAML_OBJS=cryptokit.cmo

all: libcryptokit.a cryptokit.cmi cryptokit.cma 

allopt: libcryptokit.a cryptokit.cmi cryptokit.cmxa 

libcryptokit.a: $(C_OBJS)
	$(MKLIB) -o cryptokit $(C_OBJS) -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

cryptokit.cma: $(CAML_OBJS)
	$(MKLIB) -o cryptokit $(CAML_OBJS) -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

cryptokit.cmxa: $(CAML_OBJS:.cmo=.cmx)
	$(MKLIB) -o cryptokit $(CAML_OBJS:.cmo=.cmx) -L$(ZLIB_LIBDIR) $(ZLIB_LIB)

test: test.byt
	$(OCAMLRUN) -I . ./test.byt

test.byt: libcryptokit.a cryptokit.cma test.ml
	$(OCAMLC) -o test.byt unix.cma nums.cma cryptokit.cma test.ml

clean::
	rm -f test.byt

speedtest: libcryptokit.a cryptokit.cmxa speedtest.ml
	$(OCAMLOPT) -o speedtest -ccopt -L. \
                unix.cmxa nums.cmxa cryptokit.cmxa speedtest.ml

clean::
	rm -f speedtest

install:
	cp cryptokit.cmi cryptokit.cma cryptokit.mli $(INSTALLDIR)
	cp libcryptokit.a $(INSTALLDIR)
	if test -f dllcryptokit.so; then cp dllcryptokit.so $(INSTALLDIR)/stublibs; fi
	if test -f cryptokit.cmxa; then cp cryptokit.cmxa cryptokit.cmx cryptokit.a $(INSTALLDIR); fi

doc: FORCE
	cd doc; $(OCAMLDOC) -html -I .. ../cryptokit.mli

FORCE:

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $(COMPFLAGS) $<

.ml.cmo:
	$(OCAMLC) -c $(COMPFLAGS) $<

.ml.cmx:
	$(OCAMLOPT) -c $(COMPFLAGS) $<

.c.o:
	$(OCAMLC) -c -ccopt "$(CFLAGS)" $<

clean::
	rm -f *.cm* *.o *.a *.so

depend:
	gcc -MM -I `$(OCAMLC) -where` -isystem `$(OCAMLC) -where ` *.c > .depend
	$(OCAMLDEP) *.mli *.ml >> .depend

include .depend

## cryptokit 1.5

=== debian/changelog ===
cryptokit (1.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
    - relocated to forge.o.o, update Homepage and debian/watch accordingly
  * Bump debhelper compat level to 8
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Nov 2011 21:23:10 +0100

cryptokit (1.3-14) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add missing dependency on zlib1g-dev (Closes: #536505)
  * Remove control.in
  * debian/control:
    - remove Remi Vanicat and Sven Luther from Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
    - update for dh-ocaml 0.9, and add versioned build-dependency

  [ Mehdi Dogguy ]
  * Update email addresses and remove DMUA

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Oct 2009 11:17:23 +0200

cryptokit (1.3-13) unstable; urgency=medium

  * Install all *.a files (including the one attached to cryptokit.cmxa)
    (Closes: #527816)

 -- Stephane Glondu <steph@glondu.net>  Tue, 12 May 2009 11:27:02 +0200

cryptokit (1.3-12) unstable; urgency=low

  * Used ifeq instead of ifdef in debian/rules: a variable can be defined
    and empty. Fixes FTBFS on non-native archs, Closes: #524247.
  * Add myself to Uploaders.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 15 Apr 2009 22:31:51 +0200

cryptokit (1.3-11) unstable; urgency=low

  * Add myself to Uploaders and DMUA
  * Move to new archive section ocaml
  * Move .cma and META to libcryptokit-ocaml, build .cmxs
  * Remove unused patches and dpatch dependency
  * Remove clean target from debian/rules (not needed)
  * Bump Standards-Version to 3.8.1

 -- Stephane Glondu <steph@glondu.net>  Sun, 12 Apr 2009 00:36:22 +0200

cryptokit (1.3-10) unstable; urgency=low

  * Add missing build-dependency on dh-ocaml.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 18:22:56 +0100

cryptokit (1.3-9) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Switch packaging to git
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 19:09:23 +0100

cryptokit (1.3-8) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Enable zlib support, closes: #469040.

  [ Sylvain Le Gall ]
  * Add homepage field in debian/control

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 03 Mar 2008 11:49:24 +0100

cryptokit (1.3-7) unstable; urgency=low

  * Depend on ocaml-nox instead of ocaml, closes: #450594.
  * Updated stantards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 00:49:16 +0100

cryptokit (1.3-6) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Generate documentation with ocamldoc, doesn't ship the one provided by
    upstream (generate almost the same thing, but with a more recent version
    of ocamldoc and in the right place)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:44 +0200

cryptokit (1.3-5) experimental; urgency=low

  * Add dependency on ocaml package

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Jul 2007 00:56:00 +0200

cryptokit (1.3-4) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Replace dependency Source-Version by source:Version,
  * Use CDBS for debian/rules,
  * Use @OCamlTeam@ for Uploaders field in debian/control.in,
  * Add versioned Build-Depends on dpkg-dev (>= 1.13.19),
  * Rebuild for ocaml 3.10.0

  [ Samuel Mimram ]
  * Updated doc-base entry, closes: #318423.

  [ Julien Cristau ]
  * Remove inactive people from the Uploaders field.

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:24 +0200

cryptokit (1.3-3) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.
  * We don't need to remove rpaths anymore.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 14:09:09 +0000

cryptokit (1.3-2) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 10 Jan 2006 23:55:51 +0100

cryptokit (1.3-1) unstable; urgency=low

  * New upstream release
  * Upgrade standards version to 3.6.2.0 (no change)
  * Stop using numerix, remove dependencies and patches related to numerix
  * Use svn-buildpackage
  * Get rid of hardcoded OCaml ABI
  * Rewrite the META to META.in and place it in METAS/, add "num" to the list
    of requires (and remove "numerix").

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 20 Dec 2005 00:45:55 +0100

cryptokit (1.2-8) unstable; urgency=medium

  * Updated to OCaml 3.08.3.
  * Using dh_shlibdeps.
  * Added -g and -fPIC to the CFLAGS.
  * Installing META in /usr/lib/ocaml/XXX/cryptokit.

 -- Samuel Mimram <smimram@debian.org>  Tue,  5 Apr 2005 22:02:17 +0200

cryptokit (1.2-7) unstable; urgency=high

  * Rebuilding with ocaml 3.08.2 to get rid of the inconsistent assumptions over
    the Unix module, closes: #285780.

 -- Samuel Mimram <smimram@debian.org>  Sat,  1 Jan 2005 18:14:01 +0100

cryptokit (1.2-6) unstable; urgency=medium

  * Corrected a bug in the patch to handle too big buffers.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Tue, 16 Nov 2004 20:25:15 +0100

cryptokit (1.2-5) unstable; urgency=medium

  * Added a patch to raise an exception when the input buffer is too big for
    the put_string method of uncompress, see:
    http://caml.inria.fr/archives/200411/msg00008.html

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Wed,  3 Nov 2004 14:25:49 +0100

cryptokit (1.2-4) unstable; urgency=low

  * Made the dependency on numerix stronger to ensure we get the 3.08 version 

 -- Mike Furr <mfurr@debian.org>  Tue, 27 Jul 2004 19:49:33 -0400



=== debian/control ===
Source: cryptokit
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 ocaml-findlib,
 ocaml-nox (>= 3.11.1-3~),
 debhelper (>= 8),
 zlib1g-dev,
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Homepage: http://forge.ocamlcore.org/projects/cryptokit/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cryptokit.git

Package: libcryptokit-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: cryptographic algorithm library for OCaml - runtime
 The Cryptokit library for Objective Caml provides a variety of
 cryptographic primitives that can be used to implement cryptographic
 protocols in security-sensitive applications.  The primitives provided
 include:
 .
   - Symmetric-key ciphers: AES, DES, Triple-DES, ARCfour,
     in ECB, CBC, CFB and OFB modes.
   - Public-key cryptography: RSA encryption, Diffie-Hellman key agreement.
   - Hash functions and MACs: SHA-1, MD5, and MACs based on AES and DES.
   - Random number generation.
   - Encodings and compression: base 64, hexadecimal, Zlib compression.
 .
 Additional ciphers and hashes can easily be used in conjunction with
 the library.  In particular, basic mechanisms such as chaining modes,
 output buffering, and padding are provided by generic classes that can
 easily be composed with user-provided ciphers.  More generally, the library
 promotes a "Lego"-like style of constructing and composing
 transformations over character streams.
 .
 This package provides just the shared library for Cryptokit.

Package: libcryptokit-ocaml-dev
Architecture: any
Depends:
 zlib1g-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: cryptographic algorithm library for OCaml - development
 The Cryptokit library for Objective Caml provides a variety of
 cryptographic primitives that can be used to implement cryptographic
 protocols in security-sensitive applications.  The primitives provided
 include:
 .
   - Symmetric-key ciphers: AES, DES, Triple-DES, ARCfour,
     in ECB, CBC, CFB and OFB modes.
   - Public-key cryptography: RSA encryption, Diffie-Hellman key agreement.
   - Hash functions and MACs: SHA-1, MD5, and MACs based on AES and DES.
   - Random number generation.
   - Encodings and compression: base 64, hexadecimal, Zlib compression.
 .
 Additional ciphers and hashes can easily be used in conjunction with
 the library.  In particular, basic mechanisms such as chaining modes,
 output buffering, and padding are provided by generic classes that can
 easily be composed with user-provided ciphers.  More generally, the library
 promotes a "Lego"-like style of constructing and composing
 transformations over character streams.
 .
 This package provides static libraries, interfaces, and documentation
 for Cryptokit.

## cryptokit 1.7

=== debian/changelog ===
cryptokit (1.7-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 14:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
@@ -14,7 +13,7 @@
  debhelper (>= 8),
  zlib1g-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/cryptokit/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cryptokit.git

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libcryptokit-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
ifeq ($(OCAML_NATDYNLINK),yes)
	cd _build/src && ocamlopt -I . -shared -linkall -o cryptokit.cmxs cryptokit.cmxa
endif
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)$(OCAML_DLL_DIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

## cryptokit 1.9

=== Makefile ===
BUILDFLAGS=-classic-display
# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

# Uncomment to test the deploy process.
# DEPLOY_ARGS=--dry_run --verbose --ignore_changes

# Use 'make deploy FORGE_USER=you' to change this value.
FORGE_USER=gildor-admin

# Contact sylvain@le-gall.net to install admin-gallu-deploy and
# admin-gallu-oasis-increment or to do the release.
deploy:
	OASIS_VERSION=$$(oasis query version | sed -e 's/\.//g'); \
	../admin-gallu/src/admin-gallu-deploy \
		--vcs_tag release$$OASIS_VERSION \
		--forge_upload --forge_group cryptokit --forge_user $(FORGE_USER) \
		$(DEPLOY_ARGS)
	../admin-gallu/src/admin-gallu-oasis-increment \
		--setup_run --use_vcs \
		$(DEPLOY_ARGS)

=== debian/changelog ===
cryptokit (1.9-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:11:18 +0100

cryptokit (1.9-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 10:52:39 +0100

cryptokit (1.7-2) experimental; urgency=low

  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- ocaml-findlib,
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-findlib (>= 1.4),
+ ocaml-nox (>= 4),
  debhelper (>= 8),
  zlib1g-dev,
  dh-ocaml (>= 0.9)
 Standards-Version: 3.9.4
 Homepage: http://forge.ocamlcore.org/projects/cryptokit/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cryptokit.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cryptokit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cryptokit.git
 
 Package: libcryptokit-ocaml
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
-ifeq ($(OCAML_NATDYNLINK),yes)
-	cd _build/src && ocamlopt -I . -shared -linkall -o cryptokit.cmxs cryptokit.cmxa
-endif
 	ocaml setup.ml -doc
 
 .PHONY: override_dh_auto_test

## cryptokit 1.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BUILDFLAGS=-classic-display
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -13,7 +13,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -25,13 +25,16 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
+configure:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
 .PHONY: build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
cryptokit (1.10-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 18:09:42 -0600

cryptokit (1.10-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 May 2015 16:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  debhelper (>= 8),
  zlib1g-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://forge.ocamlcore.org/projects/cryptokit/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cryptokit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cryptokit.git

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=133 .*/cryptokit-(.*)\.tar\.gz

## cryptokit 1.11

=== debian/changelog ===
cryptokit (1.11-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 08:16:15 +0200

cryptokit (1.11-1) unstable; urgency=medium

  * New upstream release
  * Change upstream website to github
  * Add ocamlbuild and zarith to Build-Depends
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
 Build-Depends:
  ocaml-findlib (>= 1.4),
  ocaml-nox (>= 4),
- debhelper (>= 8),
+ debhelper (>= 10),
  zlib1g-dev,
+ ocamlbuild,
+ libzarith-ocaml-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.6
-Homepage: http://forge.ocamlcore.org/projects/cryptokit/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cryptokit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cryptokit.git
+Standards-Version: 4.0.0
+Homepage: https://github.com/xavierleroy/cryptokit
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
 
 Package: libcryptokit-ocaml
 Architecture: any

## cryptokit 1.13

=== debian/changelog ===
cryptokit (1.13-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Aug 2019 17:24:05 +0200

cryptokit (1.13-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 11:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,20 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
- Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  ocaml-findlib (>= 1.4),
  ocaml-nox (>= 4),
- debhelper (>= 10),
+ debhelper (>= 12),
  zlib1g-dev,
  ocamlbuild,
  libzarith-ocaml-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/xavierleroy/cryptokit
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cryptokit.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/cryptokit.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cryptokit
 
 Package: libcryptokit-ocaml
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,13 @@
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	mkdir -p '$(DESTDIR)$(OCAML_DLL_DIR)'
 	ocaml setup.ml -install
+# Work around a bug in the build system: the dll doesn't get installed on bytecode architectures
+	cp _build/src/dllcryptokit_stubs.so '$(DESTDIR)$(OCAML_DLL_DIR)'
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing -X.so.owner
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing -X.so.owner

## cryptokit 1.14

=== debian/changelog ===
cryptokit (1.14-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Build-depend on debhelper-compat and remove debian/compat

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Dec 2019 11:34:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
 Build-Depends:
  ocaml-findlib (>= 1.4),
  ocaml-nox (>= 4),
- debhelper (>= 12),
+ debhelper-compat (= 12),
  zlib1g-dev,
  ocamlbuild,
  libzarith-ocaml-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/cryptokit
 Vcs-Git: https://salsa.debian.org/ocaml-team/cryptokit.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cryptokit

## cryptokit 1.15

=== debian/changelog ===
cryptokit (1.15-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:35 +0000

cryptokit (1.15-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2020 05:16:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cryptokit
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
@@ -12,9 +13,10 @@
  debhelper-compat (= 12),
  zlib1g-dev,
  ocamlbuild,
+ oasis,
  libzarith-ocaml-dev,
  dh-ocaml (>= 0.9)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/cryptokit
 Vcs-Git: https://salsa.debian.org/ocaml-team/cryptokit.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	ocaml setup.ml -test
+endif
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:

=== debian/watch ===
version=3
opts=uversionmangle=s/^(.)(.+)$/$1.$2/ \
https://github.com/xavierleroy/cryptokit/releases .*/release([0-9]+)\.tar\.gz

## cryptokit 1.16.1

=== debian/changelog ===
cryptokit (1.16.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Nov 2020 13:31:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: cryptokit
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- ocaml-findlib (>= 1.4),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4),
- debhelper-compat (= 12),
+ ocaml-dune (>= 2),
+ libdune-ocaml-dev,
  zlib1g-dev,
- ocamlbuild,
- oasis,
  libzarith-ocaml-dev,
- dh-ocaml (>= 0.9)
+ dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/cryptokit

=== debian/watch ===
version=3
opts=uversionmangle=s/^(.)(..)(.)$/$1.$2.$3/ \
https://github.com/xavierleroy/cryptokit/releases .*/release(....)\.tar\.gz

## cryptokit 1.18

=== debian/changelog ===
cryptokit (1.18-2) unstable; urgency=medium

  * Fix build with recent dune (Closes: #1041001)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:36:55 +0200

cryptokit (1.18-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 02:53:03 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean
	rm -f src/config/config_vars.ml

override_dh_auto_configure:
	./configure --enable-zlib --disable-hardwaresupport

override_dh_auto_build:
	dune build -p cryptokit

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	rm -f debian/tmp/usr/doc/cryptokit/LICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p cryptokit
endif

## cryptokit 1.19

=== debian/changelog ===
cryptokit (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 03:52:06 +0100

cryptokit (1.18-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:18:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4),
+ ocaml (>= 4),
  ocaml-dune (>= 2),
  libdune-ocaml-dev,
  zlib1g-dev,
  libzarith-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.5.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/cryptokit
 Vcs-Git: https://salsa.debian.org/ocaml-team/cryptokit.git

## cryptokit 1.20.1

=== debian/changelog ===
cryptokit (1.20.1-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:12:48 +0200

cryptokit (1.20.1-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:55:38 +0100

cryptokit (1.20.1-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:02:05 +0200

cryptokit (1.20.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:21:44 +0200

cryptokit (1.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 13 Jul 2024 08:03:00 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/^(.)(..)$/$1.$2/ \
https://github.com/xavierleroy/cryptokit/tags .*/release(...)\.tar\.gz

## cryptokit 1.21.1

=== debian/changelog ===
cryptokit (1.21.1-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.3
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Jan 2026 08:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  zlib1g-dev,
  libzarith-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/xavierleroy/cryptokit
 Vcs-Git: https://salsa.debian.org/ocaml-team/cryptokit.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cryptokit

=== debian/watch ===
Version: 5

Source: https://github.com/xavierleroy/cryptokit/tags
Matching-Pattern: .*/release(...)\.tar\.gz
Uversionmangle: s/^(.)(..)$/$1.$2/
